function taskSubmit(formControl, machineID, theOrder){
    var success=true;
    formControl.disabled=true; 
    if (wantsFirstPositionOnMachiningMachine(machineID, document.getElementById('machineID'), document.getElementById('machineTaskOrder').value, theOrder))
    {
        alert('The machine you are trying to move this to has a machining job and you are trying to move the task to the first position. Rectify this and try again.'); 
        formControl.disabled=false; 
        wantsFirstPositionOnMachineWithMachiningTask=true; 
        return false;
    } 
    else
    {
        success=formControl.form.submit();
    }
}
